# GeneratorSubstitution

class xsdata.models.config.GeneratorSubstitution(type=None, search=None, replace=None)

  Search and replace substitution for a specific target type based on `re.sub()`

  Parameters

    - type (`Optional`[`ObjectType`, `None`]) – The target object type

    - search (`Optional`[`str`, `None`]) – The search string or a pattern object

    - replace (`Optional`[`str`, `None`]) – The replacement string or pattern object

  __eq__(other)

    Return self==value.

  __hash__ = None